@font-face {
  font-family: "DIN";
  src: url("https://cdn.epicbreak.in/assets/fonts/DIN-Medium.otf")
    format("opentype");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "BobbyJones";
  src: url("https://cdn.epicbreak.in/assets/fonts/BobbyJones-Regular.otf")
    format("opentype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Times";
  src: url("https://cdn.epicbreak.in/assets/fonts/times.ttf") format("opentype");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

html {
  touch-action: manipulation;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  touch-action: manipulation;
}

body {
  min-height: 100dvh;
  font-family: "Arial Black", Arial, sans-serif;
  height: 100dvh;
  touch-action: manipulation;
  background-color: #e1251b;
}

/* PC View Page */
.pc-view-container {
  display: none;
  background: #e1251b;
  width: 100vw;
  height: 100vh;
  position: relative;
  z-index: 999;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}

.pc-view-container img {
  width: 32vw;
  max-width: 18rem;
}

.pc-view-container .pc-view-copy {
  color: #ffffff !important;
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
}

.pc-view-container .pc-view-copy h4 {
  color: #ffffff !important;
  font-size: 1.4rem;
}

.pc-view-container .pc-copyright-text {
  position: absolute;
  bottom: 2dvh;
  right: 2dvh;
  font-size: 12px;
  color: white;
  font-family: Arial, Helvetica, sans-serif;
}

@media only screen and (min-width: 768px) {
  .pc-view-container {
    display: flex;
  }

  #landingPageScreen {
    display: none !important;
  }

  footer {
    display: none !important;
  }

  header {
    display: none !important;
  }

  .tnc-container {
    display: none !important;
  }

  .contact-us-page {
    display: none !important;
  }

  .winners-list-page {
    display: none !important;
  }
}

/* Header */
.main-header {
  z-index: 999;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  margin: auto;
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  padding: 10px 15px;
  gap: 10px;
}

.main-header.landing {
  justify-content: flex-start;
}

.main-header .header-headline {
  width: 60vw;
}

.header-btn-container {
  display: flex;
  gap: 8px;
}

.home-btn,
.menu-btn {
  background: none;
  border: none;
  border-radius: 50%;
  height: fit-content;
  width: fit-content;
}

.home-btn img,
.menu-btn img {
  pointer-events: none;
  width: 30px;
}

/* Menu Drawer */
.menu-drawer {
  position: fixed;
  z-index: 9999;
  width: 100%;
  background-color: #d91b11;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-family: "BobbyJones", serif;
  color: white;
  overflow: hidden;
  height: 0;
  opacity: 0;
  transition:
    height 0.4s ease,
    opacity 0.3s ease;
}

.menu-drawer.active {
  height: 28dvh;
  opacity: 1;
}

.menu-drawer a {
  width: 50%;
  min-width: 150px;
  text-align: center;
  padding: 5px 0px;
  border-bottom: 1px solid #ffc300;
  color: white;
  text-decoration: none;
}

/* Remove divider from last item */
.menu-drawer a:last-child {
  border-bottom: none;
}

.close-menu-btn {
  position: absolute;
  right: 4vw;
  top: 1.7dvh;
  background: none;
  border: none;
  border-radius: 50%;
  height: fit-content;
  width: fit-content;
}

.close-menu-btn img {
  pointer-events: none;
  width: 30px;
}

/* Footer */
.site-footer {
  z-index: 999;
  position: fixed;
  bottom: 0;
  width: 100%;
  right: 0;
  left: 0;
  margin: auto;
  display: flex;
  gap: 5px;
  justify-content: center;
  align-items: center;
  background-color: #91100a;
  height: 28px;
}

.meanwhile-text {
  display: none;
  color: #ffc300;
  font-family: "BobbyJones", serif;
  font-size: 12px;
  padding-bottom: 3px;
}

.site-footer img {
  width: 170px;
}

.footer-tag {
  position: fixed;
  bottom: 30px;
  right: 4px;
  font-size: 8px;
  color: white;
  font-family: Arial, Helvetica, sans-serif;
}
